<nav class="navbar fixed-bottom navbar-light actions-selected" ...attributes>
  <div class="nav-content">
    <div class="container">
      <div>
        {{#each @actions as |action| }}
          <button class="btn {{action.class}} btn-{{action.key}}" disabled={{this.isBusy}} type="button"
            {{on "click" (fn this.handleAction action.key)}}>
            {{#if (eq action.key this.currentAction)}}
              <FaIcon @icon="spinner" @spin={{true}} />
            {{else}}
              {{#if action.icon}}
                <FaIcon @icon={{action.icon}} />
              {{/if}}
            {{/if}}

            {{action.name}}
          </button>
        {{/each}}

        <div class="count-message d-inline-block {{if @actions.length "ms-2"}}">
          {{#if (eq @selected "all")}}
            {{t 'selection.allItems'}}
          {{else}}
            {{t 'selection.items' number=@selected.length}}
          {{/if}}

          {{#if (and @onClearSelection @selected.length)}}
            (<button class="btn btn-link btn-clear p-0" type="button"
              {{on "click" this.clearSelection}}>{{t "selection.clear"}}</button>)
          {{/if}}
        </div>
      </div>

      {{#if @onDelete}}
        <div class="delete-container">
          <Input::Button @action={{this.handleDelete}} class="btn btn-danger btn-delete" as |isReady|>
            {{#if isReady}}
              <FaIcon @icon="trash" />
            {{/if}}

            {{capitalize (t "delete")}}
          </Input::Button>
        </div>
      {{/if}}
    </div>
  </div>
</nav>